NumberTools (Lucene 2.4.1 API)
Keywords: org.apache.lucene.document.NumberTools class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.document
Class NumberTools

    java.lang.Object
      org.apache.lucene.document.NumberTools

    public class NumberTools

extends Object

Provides support for converting longs to Strings, and back again. The strings are structured so that lexicographic sorting order is preserved.

That is, if l1 is less than l2 for any two longs l1 and l2, then NumberTools.longToString(l1) is lexicographically less than NumberTools.longToString(l2). (Similarly for "greater than" and "equals".)

This class handles all long values (unlike `DateField`).

Field Summary
`static String` | `MAX_STRING_VALUE` Equivalent to longToString(Long.MAX_VALUE)
`static String` | `MIN_STRING_VALUE` Equivalent to longToString(Long.MIN_VALUE)
`static int` | `STR_SIZE` The length of (all) strings returned by `longToString(long)`

Constructor Summary
`NumberTools()`

Method Summary
`static String` | `longToString(long l)` Converts a long to a String suitable for indexing.
`static long` | `stringToLong(String str)` Converts a String that was returned by `longToString(long)` back to a long.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MIN_STRING_VALUE

    public static final String MIN_STRING_VALUE

  Equivalent to longToString(Long.MIN_VALUE)

  See Also:
    Constant Field Values

### MAX_STRING_VALUE

    public static final String MAX_STRING_VALUE

  Equivalent to longToString(Long.MAX_VALUE)

  See Also:
    Constant Field Values

### STR_SIZE

    public static final int STR_SIZE

  The length of (all) strings returned by `longToString(long)`

Constructor Detail

### NumberTools

    public NumberTools()

Method Detail

### longToString

    public static String longToString(long l)

  Converts a long to a String suitable for indexing.

### stringToLong

    public static long stringToLong(String str)

  Converts a String that was returned by `longToString(long)` back to a long.

  Throws:
    `IllegalArgumentException` - if the input is null
    `NumberFormatException` - if the input does not parse (it was not a String returned by longToString()).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.